Get Entitlements and Permissions for a User
GET /obp/v7.0.0/users/USER_ID/entitlements-and-permissions
OBPv5.1.0-getEntitlementsAndPermissions Roles: CanGetEntitlementsForAnyUserAtAnyBank RoleEntitlementUser
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
URL Parameters:
USER_ID: 9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1
JSON response body fields (13)
- account_id
- 8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0
- bank_id
- gh.29.uk
- felixsmith@example.com
- entitlement_id
- entitlements
- list
- provider
- ETHEREUM
- provider_id
- role_name
- user_id
- 9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1
- username
- felixsmith
- view_id
- owner
- views
Example success response
{
"user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1",
"email": "felixsmith@example.com",
"provider_id": "Chris",
"provider": "http://127.0.0.1:8080",
"username": "felixsmith",
"entitlements": {
"list": [
{
"entitlement_id": "6fb17583-1e49-4435-bb74-a14fe0996723",
"role_name": "CanQueryOtherUser",
"bank_id": "gh.29.uk"
}
]
},
"views": {
"list": [
{
"bank_id": "gh.29.uk",
"account_id": "8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0",
"view_id": "owner"
}
]
}
}Possible errors (4)
- OBP-20001: User not logged in. Authentication is required!
- OBP-20057: User not found by userId.
- OBP-20006: User is missing one or more roles:
- OBP-50000: Unknown Error.